# chainer mapping 

# map pins on chainer to multiplexer input pin numbers 
# numberin on chainer : let the flatband connectors face you 
# leftmost pin 1,2,... 50 in left block 
# 51,52,53.. in right block 

# key : pad number on flatband
# value : correspoding input pin on multiplexer
chainer_to_mux_map = {
   "1" : 1,
   "2" : 51,
   "3" : 2,
   "4" : 52,
   "5" : 3,
   "6" : 53,
   "7" : 4,
   "8" : 54,
   "9" : 5,
   "10" : 55,
   "11" : 6,
   "12" : 56,
   "13" : 7,
   "14" : 57,
   "15" : 8,
   "16" : 58,
   "17" : 9,
   "18" : 59,
   "19" : 10,
   "20" : 60,
   "21" : 11,
   "22" : 61,
   "23" : 12,
   "24" : 62,
   "25" : 13,
   "26" : 63,
   "27" : 14,
   "28" : 64,
   "29" : 15,
   "30" : 65,
   "31" : 16,
   "32" : 66,
   "33" : 17,
   "34" : 67,
   "35" : 18,
   "36" : 68,
   "37" : 19,
   "38" : 69,
   "39" : 20,
   "40" : 70,
   "41" : 21,
   "42" : 71,
   "43" : 22,
   "44" : 72,
   "45" : 23,
   "46" : 73,
   "47" : 24,
   "48" : 74,
   "49" : 25,
   "50" : 75,
   "51" : 26,
   "52" : 76,
   "53" : 27,
   "54" : 77,
   "55" : 28,
   "56" : 78,
   "57" : 29,
   "58" : 79,
   "59" : 30,
   "60" : 80,
   "61" : 31,
   "62" : 81,
   "63" : 32,
   "64" : 82,
   "65" : 33,
   "66" : 83,
   "67" : 34,
   "68" : 84,
   "69" : 35,
   "70" : 85,
   "71" : 36,
   "72" : 86,
   "73" : 37,
   "74" : 87,
   "75" : 38,
   "76" : 88,
   "77" : 39,
   "78" : 89,
   "79" : 40,
   "80" : 90,
   "81" : 41,
   "82" : 91,
   "83" : 42,
   "84" : 92,
   "85" : 43,
   "86" : 93,
   "87" : 44,
   "88" : 94,
   "89" : 45,
   "90" : 95,
   "91" : 46,
   "92" : 96,
   "93" : 47,
   "94" : 97,
   "95" : 48,
   "96" : 98   
    }

# inversere map 
# key : input PIN number (dsub) on mux
# value : corresponding pad on flatband connectors 
mux_to_chainer_map = {v: k for k, v in chainer_to_mux_map.items()};



